git-annex-post-receive(1)

NAME
git-annex-post-receive - run by git post-receive hook

SYNOPSIS
git annex post-receive

DESCRIPTION
This is meant to be called from git's post-receive hook. git annex init automatically creates a post-receive hook using this.

When a repository is configured with receive.denyCurrentBranch=updateInstead, pushes to the repository update its work tree. However, that does not work for repositories that have an adjusted branch checked out. The hook updates the work tree when run in such a repository, the same as running git-annex merge would.

When a repository is configured to proxy to a special remote with exporttree=yes, and the configured remote.name.annex-tracking-branch is received, the hook handles updating the tree exported to the special remote.

OPTIONS

The git-annex-common-options(1) can be used.

SEE ALSO
git-annex(1)

git-annex-adjust(1)

git-annex-merge(1)

git-annex-export(1)

AUTHOR
Joey Hess <id@joeyh.name>